import { Zone } from './Zone';
import { Port } from './Port';
import { MetaIPType } from '../meta';

export interface Host {
  metaIPType?: MetaIPType;
  name?: string;
  address?: string;
  mac?: string;
  meta?: Map<string, string>;

  zone?: Zone;
  portList?: Port[];

  discoveredBy?: string;
  discoveredDate?: Date;
}
